using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BoundsRetreiver : MonoBehaviour
{
    [SerializeField] bool m_useOverrideExtent;
    [SerializeField] Vector2 m_overrideExtent;
    [SerializeField] SpriteRenderer m_mySprite;

    Vector2 m_myBounds;

    public Vector2 GetBoundsExtent()
    {
        return m_myBounds;
    }

    // Start is called before the first frame update
    void Awake()
    {
        if(m_useOverrideExtent)
        {
            m_myBounds = m_overrideExtent;
        }
        else 
        {
            m_myBounds = new Vector2(m_mySprite.bounds.extents.x, m_mySprite.bounds.extents.y);
        }
    }
}
