using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Enemy_fire : MonoBehaviour
{
    ShipGun m_myGun;
    bool m_continuouslyFire;

    private void OnEnable()
    {
        m_myGun = GetComponent<ShipGun>();
    }

    private void Update()
    {
        if(m_continuouslyFire)
        {
            m_myGun.FireBullet();
        }
    }

    public void EnemyFireOnce()
    {
        m_myGun.FireBullet();
    }

    public void StartFire()
    {
        m_continuouslyFire = true;
    }

    public void EndFire()
    {
        m_continuouslyFire = false;
    }
}
