using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HealthPickUp : MonoBehaviour
{
    [SerializeField]float expireBound  = 100f;
    private void OnEnable()
    {
        transform.position = new Vector3(transform.position.x, Random.Range(-4, 4), transform.position.z);
    }
     
    [SerializeField] Vector2 moveSpeed = new Vector2(-5, 0);
    private void Update()
    {
        if (transform.position.magnitude >= expireBound)
        {
            Destroy(gameObject);
        }
        transform.position += (new Vector3(moveSpeed.x, moveSpeed.y, 0) * Time.deltaTime);
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        var psh = collision.gameObject.GetComponent<PS_Health>();
        if(psh!=null)
        {
            psh.AddHealth();
            Destroy(gameObject);
        }
    }
}
