using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Pattern_MoveTo : PatternStep
{
    [SerializeField] Enemy_Move m_enemyMove;
    [SerializeField] Transform m_location;
    Vector3 m_position;

    private void OnEnable()
    {
        m_position = m_location.position;
    }

    public override void StartStep(System.Action callback)
    {
        m_enemyMove.StartMoveTo(m_position, callback);
    }
}
