using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Pattern_StartFollow : PatternStep
{
    [SerializeField] Enemy_Move m_enemyMove;
    [SerializeField] float idealRange = 1f;

    public override void StartStep(System.Action callback)
    {
        Transform player = FindObjectOfType<PS_Health>().transform;
        m_enemyMove.StartFollow(player, idealRange);
        callback();
    }
}
