using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Pattern_Wait : PatternStep
{
    [SerializeField]float m_waitTime = 1f;
    uint timerID;
    public override void StartStep(System.Action callback)
    {
        timerID = Timer_Manager.AddTimer(gameObject, callback, m_waitTime);
    }

    private void OnDestroy()
    {
        Timer_Manager.CancelTimer(timerID);
    }
}
